package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcManageDept;

/**
 * cmc领导分管Service接口
 * 
 * @author cmc
 * @date 2024-07-04
 */
public interface ICmcManageDeptService 
{
    /**
     * 查询cmc领导分管
     * 
     * @param userId cmc领导分管主键
     * @return cmc领导分管
     */
    public CmcManageDept selectCmcManageDeptByUserId(Long userId);

    /**
     * 查询cmc领导分管列表
     * 
     * @param cmcManageDept cmc领导分管
     * @return cmc领导分管集合
     */
    public List<CmcManageDept> selectCmcManageDeptList(CmcManageDept cmcManageDept);

    /**
     * 新增cmc领导分管
     * 
     * @param cmcManageDept cmc领导分管
     * @return 结果
     */
    public int insertCmcManageDept(CmcManageDept cmcManageDept);

    /**
     * 修改cmc领导分管
     * 
     * @param cmcManageDept cmc领导分管
     * @return 结果
     */
    public int updateCmcManageDept(CmcManageDept cmcManageDept);

    /**
     * 批量删除cmc领导分管
     * 
     * @param userIds 需要删除的cmc领导分管主键集合
     * @return 结果
     */
    public int deleteCmcManageDeptByUserIds(Long[] userIds);

    /**
     * 删除cmc领导分管信息
     * 
     * @param userId cmc领导分管主键
     * @return 结果
     */
    public int deleteCmcManageDeptByUserId(Long userId);
}
